
public class NotThrownException {
	public static void  compute() throws Exception{
		throw new Exception();
	}

	public static void main(String[] args) {
        // we create an exception to get its stacktrace
		Throwable t = new Throwable(); 
		StackTraceElement[] es=t.getStackTrace();
		
		for ( int i=0; i<es.length; i++ ){
			StackTraceElement e = es[i];
			System.out.println( " in class: " + e.getClassName()
					+ " in source file: " + e.getFileName()
					+ " in method: " + e.getMethodName()
					+ " at line: " + e.getLineNumber()
					+ " " + ( e.isNativeMethod() ? "that is native" : "that is not native" ) );
		}
		
	}

}
